"""
Modul: Editor fr Eigenschaften einer Bedingung bei Schleifen und IF-THENs
02.10.2002 
i.linkweiler@gmx.de
"""

from qt import *
from Statements import *

class AusgabeeditWidget(QWidget):
  "Ein QT-Widget zum Bearbeiten von Ausgaben"
  def __init__(self,*args):
    "Erzeuge das Widget"
    apply(QWidget.__init__,(self,) + args)
    self.setMinimumSize(320,160)
    self.resize(320,160)

    self.setCaption(_('Ausgabe bearbeiten'))
    self.icon=QPixmap("./icons/find.xpm")
    self.setIcon(self.icon)

    self.t1= QLabel(_("Ausgabetexte in <b>Anfhrungszeichen </b>setzen. Text und Werte durch Kommata trennen."),self)
    self.t1.setGeometry(4,4,310,32)

    self.ok = QPushButton(_("&OK"),self,"ok")
    self.ok.setGeometry(40,135,75,24)
    self.connect(self.ok,SIGNAL("clicked()"),self.slotOk)

    self.abbruch = QPushButton(_("&Abbruch"),self,"abbruch")
    self.abbruch.setGeometry(120,135,75,24)
    self.connect(self.abbruch,SIGNAL("clicked()"),self.close)

    self.hilfe = QPushButton(_("&Hilfe"),self,"hilfe")
    self.hilfe.setGeometry(200,135,75,24)
    self.connect(self.hilfe,SIGNAL("clicked()"),self.slotHilfe)

    self.edit = QMultiLineEdit(self)
    self.edit.setGeometry(4,40,310,80)
    self.exitcmd=None
    
  def setexitcmd(self,cmd):
    "<cmd> kann aufgerufen werden, wenn Dialog mit OK beendet wurde."
    self.exitcmd=cmd

  def setitem(self,item):
    "Setze das zu bearbeitende Objekt."
    self.item=item
    self.edit.insertLine(item.text)

  def slotHilfe(self):
    import hilfe
    hilfe.zeigen("./readme/ausgabe.html")

  def slotOk(self):
    "Da hat wohl jemand OK geklickt."
    #unicode QString nach ascii wandeln.
    self.item.text=unicode(self.edit.text())
    #self.item.text=unicode(self.edit.text()).encode("cp437", "replace")
    if self.exitcmd!=None: 
      self.exitcmd()
    self.close(1)

  def resizeEvent(self,resizeEvent):
    #self.edit.resize(self.width(),self.height() - 16 - 5)
    #self.edit.setGeometry(0,40,self.width()-2,self.height()-40)
    pass

def main():
    "Test-Funktion"
    STYLE="Qt"
    item=Ausgabe(STYLE)

    a = QApplication(sys.argv)
    QObject.connect(a,SIGNAL('lastWindowClosed()'),a,SLOT('quit()'))
    w = AusgabeeditWidget()
    a.setMainWidget(w)
    
    w.setitem(item)
    w.show()
    a.exec_loop()

if __name__=="__main__":
  def _(x): return x
  main()
