"""
Ein QListBox-WIdget.
Ermglicht Ausgabe von Hinweisen.
"""

import sys
import os
from qt import *

class InfoWidget(QListBox):
  "Ein QListBox-WIdget, es ermglicht Ausgabe von Hinweisen."
  def __init__(self,*args):
    "Erzeuge das Widget"
    apply(QListBox.__init__,(self,) + args)
    self.setMinimumSize(128,128)
    self.resize(320,160)
    self.icon=QPixmap("./icons/find.xpm")
    self.setIcon(self.icon)
    self.setName("noname.py")
    self.insertItem("Hallo Welt")
    
    self.callicon=QPixmap("./icons/call16.png")
    self.lineicon=QPixmap("./icons/line16.png")
    self.returnicon=QPixmap("./icons/return16.png")
    self.warnungicon=QPixmap("./icons/warnung16.png")
    self.setCaption(_('Programm-berwachung'))

    self.connect(self,SIGNAL("selected(int)"), self.commandCallback)

  def commandCallback(self):
    print "signal-huhu"


  def slotClose(self):
    self.close(1)
   
  def addItem(self,icon,txt):
    """
    Zeigt den Hinweistext zusammen mit einem Icon an.
    icon='line','return','call'
    """
    self.setSelected(self.count()-1,0)
    if icon=="line":
      self.insertItem(self.lineicon,txt)
    elif icon=="return":
      self.insertItem(self.returnicon,txt)
    elif icon=="call":
      self.insertItem(self.callicon,txt)
    else:
      self.insertItem(self.warnungicon,txt)

    self.setSelected(self.count()-1,1)
    self.setBottomItem(self.count()-1)
    if self.count()>50:
      self.removeItem(0)

def main():
    "Zum Test"
    a = QApplication(sys.argv)
    QObject.connect(a,SIGNAL('lastWindowClosed()'),a,SLOT('quit()'))
    w = InfoWidget()
    a.setMainWidget(w)  
    w.show()
    for i in range(100):
      w.addItem("call","huhuhu" +str(i))
    print "Los"
    a.exec_loop()
    w=0
    

if __name__=="__main__":
  def _(x): return x
  main()
